Ptex: PtexReader::ConstantFace Class Reference

Ptex

Public Member Functions | List of all members
PtexReader::ConstantFace Class Reference

`#include <PtexReader.h>`

Inheritance diagram for PtexReader::ConstantFace:

## Public Member Functions
| ConstantFace (int pixelsize)
virtual bool | isConstant ()
| True if this data block is constant.
virtual void | getPixel (int, int, void *result)
| Read a single texel from the data block.
virtual FaceData * | reduce (PtexReader *, Res newres, PtexUtils::ReduceFn, size_t &newMemUsed)
Public Member Functions inherited from PtexReader::PackedFace
| PackedFace (Res resArg, int pixelsize, int size)
void * | data ()
virtual bool | isConstant ()
| True if this data block is constant.
virtual void | getPixel (int u, int v, void *result)
| Read a single texel from the data block.
virtual void * | getData ()
| Access the data from this data block.
virtual bool | isTiled ()
| True if this data block is tiled.
virtual Ptex::Res | tileRes ()
| Resolution of each tile in this data block.
virtual PtexFaceData * | getTile (int)
| Access a tile from the data block.
virtual FaceData * | reduce (PtexReader *, Res newres, PtexUtils::ReduceFn, size_t &newMemUsed)
Public Member Functions inherited from PtexReader::FaceData
| FaceData (Res resArg)
virtual | ~FaceData ()
virtual void | release ()
| Release resources held by this pointer (pointer becomes invalid).
virtual Ptex::Res | res ()
| Resolution of the texture held by this data block.
virtual FaceData * | reduce (PtexReader *, Res newres, PtexUtils::ReduceFn, size_t &newMemUsed)=0
virtual void | release ()=0
| Release resources held by this pointer (pointer becomes invalid).
virtual bool | isConstant ()=0
| True if this data block is constant.
virtual Ptex::Res | res ()=0
| Resolution of the texture held by this data block.
virtual void | getPixel (int u, int v, void *result)=0
| Read a single texel from the data block.
virtual void * | getData ()=0
| Access the data from this data block.
virtual bool | isTiled ()=0
| True if this data block is tiled.
virtual Ptex::Res | tileRes ()=0
| Resolution of each tile in this data block.
virtual PtexFaceData * | getTile (int tile)=0
| Access a tile from the data block.

## Additional Inherited Members
Protected Member Functions inherited from PtexReader::PackedFace
virtual | ~PackedFace ()
Protected Member Functions inherited from PtexFaceData
virtual | ~PtexFaceData ()
| Destructor not for public use. Use release() instead.
Protected Attributes inherited from PtexReader::PackedFace
int | _pixelsize
char * | _data
Protected Attributes inherited from PtexReader::FaceData
Res | _res

## Detailed Description

Definition at line 401 of file PtexReader.h.

## Constructor & Destructor Documentation

## ◆ ConstantFace()

PtexReader::ConstantFace::ConstantFace | ( | int | pixelsize | ) |
| inline

Definition at line 403 of file PtexReader.h.

## Member Function Documentation

## ◆ getPixel()

virtual void PtexReader::ConstantFace::getPixel | ( | int | u,
|  | int | v,
|  | void * | result
| ) |  |
| inlinevirtual

Read a single texel from the data block.

The texel coordinates, u and v, have a range of [0..ures-1, 0..vres-1]. Note: this method will work correctly even if the face is constant or tiled.

Reimplemented from PtexReader::PackedFace.

Definition at line 406 of file PtexReader.h.

References PtexReader::PackedFace::_data, and PtexReader::PackedFace::_pixelsize.

## ◆ isConstant()

virtual bool PtexReader::ConstantFace::isConstant | ( |  | ) |
| inlinevirtual

True if this data block is constant.

Reimplemented from PtexReader::PackedFace.

Definition at line 405 of file PtexReader.h.

## ◆ reduce()

PtexReader::FaceData * PtexReader::ConstantFace::reduce | ( | PtexReader * | ,
|  | Res | newres,
|  | PtexUtils::ReduceFn | ,
|  | size_t & | newMemUsed
| ) |  |
| virtual

Reimplemented from PtexReader::PackedFace.

Definition at line 966 of file PtexReader.cpp.

References PtexReader::PackedFace::_data, and PtexReader::_pixelsize.

The documentation for this class was generated from the following files:

- PtexReader.h
- PtexReader.cpp